MARTe2-core - User story #187

Create Objects by class name
31.07.2015 15:45 - André Neto

Status: Closed
Priority: Normal
Assignee:

Category:

Target version: 0.3

Git branch (link):

Git merge to develop
(link):

Start date:
Spent time:

SVN commit
(link/?p=rev):
0%
Description

Refactor the original MARTe infrastructure to create objects by clas name.

This would satisfy requirement:

¢ MARTe-EX-F-2.1.2: The framework shall be able to construct objects against a class name.

Source code files modified

As #184.

Architecture & design review
Date of the review: 31/07/2015

Person who did the review: Andre’ Neto

Version of architecture & design document: As #184.
Result of review: N/A

List of non-conformities: N/A

Code and documentation review

Date of the review: 17/08/2015

Person who did the review: Giuseppe Ferro
Result of review: SUCCESS

List of non-conformities: N/A.

Reviewed files:

- Reference.cpp Reference.h
- ReferenceT.cpp ReferenceT.h

Unit test review

Date of the review: 21/08/2015

Person who did the review: Andre' Neto
Result of coverage tests review: As #184.

Result of functional tests review: As #184.
Result of review: As #184.

List of non-conformities: As #184.

Associated revisions

Revision b7373445 - 17.08.2015 13:34 - Giuseppe Ferro
List of Changes:

-Code revision of Reference and ReferenceT done.
-Minor changes in documentation.

#187

History

#1 - 10.08.2015 09:29 - André Neto

- Status changed from New to Code: Impl

#2 - 11.08.2015 10:50 - André Neto

- Assignee set to André Neto

#3 - 11.08.2015 10:50 - André Neto
- Status changed from Code: Impl to Code: Rev

#4 - 11.08.2015 10:51 - André Neto

- Description updated

#5 - 11.08.2015 10:51 - André Neto
- Description updated

- Assignee deleted (André Neto)

#6 - 17.08.2015 13:06 - Giuseppe Ferro

- Assignee set to Giuseppe Ferro

#7 - 17.08.2015 13:42 - Giuseppe Ferro

- Description updated

#8 - 17.08.2015 13:43 - Giuseppe Ferro
Code review done: 6bad981

#9 - 17.08.2015 13:45 - Giuseppe Ferro
- Assignee deleted (Giuseppe Ferro)

#10 - 17.08.2015 14:53 - Giuseppe Ferro
- Status changed from Code: Rev to Unit: Impl

#11 - 17.08.2015 14:53 - Giuseppe Ferro

- Assignee set to Giuseppe Ferro

#12 - 19.08.2015 15:07 - André Neto
- Assignee deleted (Giuseppe Ferro)

#13 - 19.08.2015 15:07 - André Neto
- Status changed from Unit: Impl to Unit: Rev

#14 - 21.08.2015 10:42 - André Neto
- Description updated

- Status changed from Unit: Rev to Closed
#15 - 21.08.2015 11:29 - André Neto
Merged with develop in commit 87d5d7c3
